"""
https://huggingface.co/urchade/gliner_medium-v2.1
"""

from gliner import GLiNER

print("Loading model: GLiNER")
model = GLiNER.from_pretrained("urchade/gliner_medium-v2.1")
print("Finished loading model: GLiNER")


def find_entities(sentence, labels):
    """Performs NER."""
    entities = model.predict_entities(sentence, labels)
    entity_list = []
    for entity in entities:
        entity_list.append((entity["text"], entity["label"]))

    return entity_list


def classify_entity(sentence, entity, labels):
    """Performs NEC using NER."""
    entity_list = find_entities(sentence, labels)
    for e in entity_list:
        if e[0] == entity:
            return e[1]  # Return label

    return "Target entity not found during NER."
