from src.common_interface import classify_entity


tested_models = ["GLiNER", "T5-NLI", "T5-MLM-label", "Llama-3.1-8B", "DeepSeek-R1-Distill-Qwen-32B"]

test_labels = ["person", "organization", "time", "location", "miscellaneous"]

test_sentence = "Apollo 11 was a spaceflight conducted in July 1969 by the United States and launched " \
                "by NASA, sending the astronauts Neil Armstrong and Buzz Aldrin to become the first humans to walk on the moon."

true_labels = [('Apollo 11', 'miscellaneous'), ('July 1969', 'time'),
               ('United States', 'organization'), ('NASA', 'organization'), ('Neil Armstrong', 'person'),
               ('Buzz Aldrin', 'person'), ('moon', 'location')]


print("Test sentence:\n" + test_sentence)
for model in tested_models:
    print(f"\nTesting model {model}...")
    correct = 0
    for pair in true_labels:
        entity = pair[0]
        predicted_label = classify_entity(model, test_sentence, entity, test_labels)
        print(f"Prediction: {entity} is a {predicted_label}.")
        if predicted_label == pair[1]:
            correct += 1

    accuracy = correct / len(true_labels)
    print(f"Accuracy {model}: {accuracy}")

