from src.common_interface import find_entities
from src.metrics import precision, recall, f1_score

tested_models = ["GLiNER", "Llama-3.1-8B", "DeepSeek-R1-Distill-Qwen-32B"]

test_labels = ["person", "organization", "time", "location", "miscellaneous"]

test_sentence = "Apollo 11 was a spaceflight conducted in July 1969 by the United States and launched " \
                "by NASA, sending the astronauts Neil Armstrong and Buzz Aldrin to become the first humans to walk on the moon."

true_labels = [('Apollo 11', 'miscellaneous'), ('July 1969', 'time'), ('United States', 'location'),
               ('United States', 'organization'), ('NASA', 'organization'), ('Neil Armstrong', 'person'),
               ('Buzz Aldrin', 'person'), ('moon', 'location')]


print("Test sentence:\n" + test_sentence)
for model in tested_models:
    print(f"Testing model {model}...")
    result = find_entities(model, test_sentence, test_labels)
    print(f"{model} found entities: \n{result}")
    print(f"Precision: {precision(true_labels, result)}")
    print(f"Recall: {recall(true_labels, result)}")
    print(f"F1-score: {f1_score(true_labels, result)}\n")
